#!/bin/bash
#
# startkde.firsttime - KDE firsttime script for @distroID@
#
# This file is called by startkde after the kpersonalizer has been
# executed for first access configuration
#
# Copyright (c) 2005-2009 by Silvan Calarco <silvan.calarco@qilinux.it>
# Copyright (c) 2007 by Davide Madrisan <davide.madrisan@gmail.com>

case "$LANG" in
   es*) LANG_ADD=es ;;
   fr*) LANG_ADD=fr ;;
   it*) LANG_ADD=it ;;
   *) LANG_ADD=en ;;
esac

kdeprefix=$(kde4-config --prefix 2>/dev/null) || exit 1

if [ -r @distrokdedir@/desktop-$LANG_ADD.tar.bz2 ]; then
   mkdir -p $HOME/Desktop
   ( cd $HOME/Desktop >/dev/null
     tar xjf @distrokdedir@/desktop-common.tar.bz2
     tar xjf @distrokdedir@/desktop-$LANG_ADD.tar.bz2 )
fi

## launch keyboard configuration tool for english (international) version
#[ "$LANG_ADD" = "en" ] && kcmshell keyboard_layout

exit 0
